#ifndef __DRV_GPIO_H__
#define __DRV_GPIO_H__

#include "pin.h"
#include <stm32f4xx.h>

#define RCC_GPIOF_CLK_ENABLE

#define __STM32_PORT(port) GPIO##port##_BASE

#define GET_PIN(PORTx, PIN) (rt_base_t)((16 * (((rt_base_t)__STM32_PORT(PORTx) - (rt_base_t)GPIOA_BASE) / (0x0400UL))) + PIN)

int rt_hw_pin_init(void);

#endif /* __DRV_GPIO_H__ */
